.TH BW 5 BRL/CAD
.SH NAME
bw \- Black and White image file format and utilities
.SH FORMAT
A
.I bw
file contains sequences of pixels.
Each pixel is stored as one \fBunsigned char\fR, and thus
ranges in intensity from 0 (black) to 255 (white).
The first pixel in a
.I bw
file is the lower left corner of the image.
The pixels proceed from left-to-right across each scanline,
with scanlines being written from the bottom to the top of the image.
.PP
By convention,
.I bw
images are usually square, and thus their dimensions
can be determined by the file size.  If this is not the case, often
only the file width need be known by a program reading the file.  History
has left us with two "standard" sizes, 512x512 and the "hires" 1024x1024.
A common practice for other file sizes is to include the file width in
the filename.
.PP
At some time in the future
.I bw
files will probably get self-typing headers so that parameters such as
their size can be automatically determined by programs.
.SH UTILITIES
.B bw-fb
display a .bw format image on a framebuffer.
.br
.B fb-bw
produce a .bw file from a framebuffer image.
.br
.B bw-pix
convert a .bw file to a color .pix file.
.br
.B pix-bw
convert a color .pix file to a .bw file.
.br
.B bwstat
gives statistics concerning a .bw file.
.br
.B bwhist
displays a histogram on a framebuffer.
.br
.B bwmod
a filter to shift and scale pixel intensities.
.br
.B bwdiff
yields the difference between two .bw files.
.br
.B bwrect
extracts an arbitrary rectangle from a .bw file.
.br
.B bwcrop
maps any quadrilateral in a .bw file into any rectangle.
.br
.B bwrot
rotates, reverses, or inverts a .bw file.
.br
.B bwscale
scales a .bw file larger or smaller.
.br
.B bwfilter
a variety of 3x3 kernel filters for .bw images.
.br
.B bw3-pix
merges three .bw files into one .pix file.
.br
.B pix-bw3
separates .pix file RGB colors into three .bw files.
.br
.SH FILES
file.bw
.SH SEE ALSO
brlcad(1), pix(5), and above named programs.

